VRPlatformVRPlatform
Recurring fees

/recurring-fees

Recurring Fees

GET
/recurring-fees
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

search?string
listingIds?string

comma separated listing ids

status?string
Value in"active" | "inactive"
type?string
Value in"managementFee" | "additionalFee" | "bookingChannelFee" | "cleaningFee" | "merchantFee"
limit?number
Default100
Range1 <= value <= 250
page?number
Default1
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/recurring-fees"
{
  "data": [
    {
      "name": "string",
      "formula": "string",
      "defaultRate": -9007199254740991,
      "icon": "string",
      "type": "managementFee",
      "taxBehavior": "excluded",
      "revenueRecognition": "checkIn",
      "status": "active",
      "rateType": "flat",
      "creditParty": "manager",
      "debitParty": "manager",
      "bookingChannelsFilter": [
        "string"
      ],
      "statusFilter": "canceled",
      "accountTotalConditions": [
        {
          "accountId": "string",
          "operator": ">",
          "centValue": -9007199254740991
        }
      ],
      "id": "string",
      "uniqueRef": "string",
      "lock": {
        "status": "locked",
        "booksClosed": {
          "date": "string"
        },
        "ownerStatement": {
          "ids": [
            "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          ]
        },
        "reconciled": {
          "bankRecordIds": [
            "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          ]
        },
        "statementPeriod": {
          "hits": [
            {
              "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
              "txnAt": "string",
              "openFrom": "string"
            }
          ]
        }
      },
      "creditAccount": {
        "id": "string",
        "name": "string",
        "uniqueRef": "string",
        "status": "active"
      },
      "debitAccount": {
        "id": "string",
        "name": "string",
        "uniqueRef": "string",
        "status": "active"
      },
      "linkedAccounts": [
        {
          "id": "string",
          "name": "string",
          "uniqueRef": "string",
          "status": "active"
        }
      ],
      "includedFinancials": [
        {
          "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
          "lineType": "string",
          "name": "string",
          "app": {
            "id": "string",
            "name": "string"
          }
        }
      ],
      "taxRate": {
        "id": "string",
        "name": "string",
        "basisPoints": 100000
      },
      "activeListings": 9007199254740991
    }
  ],
  "pagination": {
    "limit": 100,
    "page": 1,
    "total": 0,
    "totalPage": 0,
    "nextPage": 0
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}